Loading...
Searching...
No Matches
juce::dsp::ProcessorChain< Processors > Class Template Reference

## Detailed Description

template<typename... Processors>
class juce::dsp::ProcessorChain< Processors >

This variadically-templated class lets you join together any number of processor classes into a single processor which will call process() on them all in sequence.

The documentation for this class was generated from the following file:

- juce_dsp/processors/juce_ProcessorChain.h

## Public Member Functions

template<int Index>
auto & | get () noexcept
| Get a reference to the processor at index Index.
template<int Index>
const auto & | get () const noexcept
| Get a reference to the processor at index Index.
template<int Index>
void | setBypassed (bool b) noexcept
| Set the processor at index Index to be bypassed or enabled.
template<int Index>
bool | isBypassed () const noexcept
| Query whether the processor at index Index is bypassed.
void | prepare (const ProcessSpec &spec)
| Prepare all inner processors with the provided ProcessSpec.
void | reset ()
| Reset all inner processors.
template<typename ProcessContext>
void | process (const ProcessContext &context) noexcept
| Process context through all inner processors in sequence.

## Member Functions

## get() [1/2]

template<typename... Processors>
template<int Index>

auto & juce::dsp::ProcessorChain< Processors >::get | ( |  | ) |

inline noexcept

Get a reference to the processor at index Index.

## get() [2/2]

template<typename... Processors>
template<int Index>

const auto & juce::dsp::ProcessorChain< Processors >::get | ( |  | ) | const

inline noexcept

Get a reference to the processor at index Index.

## setBypassed()

template<typename... Processors>
template<int Index>

void juce::dsp::ProcessorChain< Processors >::setBypassed | ( | bool | b | ) |

inline noexcept

Set the processor at index Index to be bypassed or enabled.

## isBypassed()

template<typename... Processors>
template<int Index>

bool juce::dsp::ProcessorChain< Processors >::isBypassed | ( |  | ) | const

inline noexcept

Query whether the processor at index Index is bypassed.

## prepare()

template<typename... Processors>

void juce::dsp::ProcessorChain< Processors >::prepare | ( | const ProcessSpec & | spec | ) |

inline

Prepare all inner processors with the provided ProcessSpec.

## reset()

template<typename... Processors>

void juce::dsp::ProcessorChain< Processors >::reset | ( |  | ) |

inline

Reset all inner processors.

## process()

template<typename... Processors>
template<typename ProcessContext>

void juce::dsp::ProcessorChain< Processors >::process | ( | const ProcessContext & | context | ) |

inline noexcept

Process context through all inner processors in sequence.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited